%define upstream_name    B-Debug
%define upstream_version 1.18

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Walk Perl syntax tree, printing debug info about ops
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/B/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
%description
See _ext/B/README_ and the newer the B::Concise manpage, the B::Terse
manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Wed Mar 27 2013 jquelin <jquelin> 1.180.0-4.mga3
+ Revision: 405456
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.180.0-3.mga3
+ Revision: 363288
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 1.180.0-2.mga3
+ Revision: 315522
- perl 5.16.2 rebuild

* Mon Aug 27 2012 jquelin <jquelin> 1.180.0-1.mga3
+ Revision: 284578
- update to 1.18

* Sat Nov 26 2011 kharec <kharec> 1.170.0-1.mga2
+ Revision: 172076
- update to 1.17

* Fri Feb 18 2011 jquelin <jquelin> 1.160.0-2.mga1
+ Revision: 53571
- rebuild

* Tue Jan 18 2011 jquelin <jquelin> 1.160.0-1.mga1
+ Revision: 23193
- cleaning spec file
- imported package perl-B-Debug

